package jp.co.jid.etc;

import java.util.ArrayList;
import java.util.List;

public class Exercise03 {

	public static void main(String[] args) {
		List<Human> humanList = createHuman(15);
		System.out.println("-- Listから名前と年齢を取得して表示 --");
		for (Human human : humanList) {
			System.out.println("名前は" + human.getName() + "です。" +
								"年齢は" + human.getAge() + "歳です。");
		}

		Human humanArray[] = new Human[humanList.size()];
		humanArray = humanList.toArray(humanArray);
		System.out.println("-- Arrayから名前と年齢を取得して表示 --");
		for (int i = 0; i < humanArray.length; i++) {
			Human human = humanArray[i];
			System.out.println((i + 1) + "番目：" +
								"名前は" + human.getName() + "です。" +
								"年齢は" + human.getAge() + "歳です。");
		}
	}

	private static List<Human> createHuman(int count) {
		List<Human> humans = new ArrayList<Human>();
		for (int i = 0; i < count; i++) {
			String name = NameUtil.createName();
			int age = (int) (Math.random() * 101);
			humans.add(new Human(name, age));
		}
		return humans;
	}

}
